﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace PBCTimer
{
    public partial class PBCTForm : Form
    {

        //デフォルトコンストラクタ
        public PBCTForm()
        {
            InitializeComponent();
            PBCTt.Interval = PBCTimer.Properties.Settings.Default.PBCTimerInterval;
            m_Player = new System.Media.SoundPlayer(PBCTimer.Properties.Settings.Default.PBCTimerSoundFileName);
        }

        //「閉じる」ボタンをクリックで非表示
        private void PBCTForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            e.Cancel = true;
            this.Visible = false;
        }

        //タスクトレイアイコンをダブルクリックで表示
        private void PBCTnI_DoubleClick(object sender, EventArgs e)
        {
            this.Visible = true;
            if (this.WindowState == FormWindowState.Minimized)
            {
                this.WindowState = FormWindowState.Normal;
            }
            this.Activate();
        }

        //指定ミリ秒毎にタイマイベントを発生させる
        private void PBCTt_Tick(object sender, EventArgs e)
        {
            try
            {
                m_Player.PlayLooping();
            }
            catch (FileNotFoundException)
            {
                MessageBox.Show("効果音が再生できません！");
            }
        }

        private System.Media.SoundPlayer m_Player = null;

        //「停止」ボタンをクリックで効果音再生を停止
        private void PBCTb_Click(object sender, EventArgs e)
        {
            m_Player.Stop();
        }

    }
}